# Jobs
# Google
- company: Google
  position: Software Engineer
  duration: Jun, 2022 &mdash;
  summary: Keep GKE nodes working

# Graduate position
- company: Binghamton University, Mobile and Operating System Lab
  position: Research Assistant, advised by Prof. Yifan Zhang
  duration:  Oct, 2016 &mdash;
  summary: Edge-based distributed deep learning 
    <ul class="resume-item-list">
    <li>Implemented a system for time-sensitive, edge-based distributed neural network training scenarios with state-of-the-art performanc</li>
    <li>Applied empirical experiments to show potential opportunities in Edge-based/Mobile-based distributed neural network training.</li>
    <li>Investigated heterogeneous-aware training tasks scheduling problem. </li>
    </ul>
    Edge computing
    <ul class="resume-item-list">
    <li>Envision edge computing's work-flow in end device performance(latency, traffic) improving.</li>
    <li>Applied empirical experiments on different edge computing work-flow and propose/implement related solutions. </li>
    <li>Design and implement an edge-based multi-tier system for decreasing bandwidth usage from endpoint mobile device. </li>
    </ul>


# Undergrad
- company: Advance computer application technology engineering research center
  position: Research Assistant, advised by Prof. Juhua Pu
  duration:  Oct, 2013 &mdash; Sep, 2014
  summary: Real-time routing 
    <ul class="resume-item-list">
    <li>Studied on real-time routing problem based vehicle location data </li>
    <li>Optimized current routing algorithm with predicted traffic information </li>
    </ul>